<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:13 CEST 2014 -->
<title>AbstractCacheManager.Cacheable</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AbstractCacheManager.Cacheable";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractCacheManager.Cacheable.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.CompositeCacheable.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" target="_top">Frames</a></li>
<li><a href="AbstractCacheManager.Cacheable.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.utils</div>
<h2 title="Class AbstractCacheManager.Cacheable" class="title">Class AbstractCacheManager.Cacheable</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.mongodb.ReflectionDBObject</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.utils.AbstractCacheManager.Cacheable</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.mongodb.DBObject, org.bson.BSONObject</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.CompositeCacheable.html" title="class in fr.inria.alpage.frmgcm.utils">AbstractCacheManager.CompositeCacheable</a></dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils">AbstractCacheManager</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="strong">AbstractCacheManager.Cacheable</span>
extends com.mongodb.ReflectionDBObject</pre>
<div class="block">Instance of this class is used to embed data for caching purpose</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>com.mongodb.ReflectionDBObject.JavaWrapper</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#data">data</a></strong></code>
<div class="block">the data object to store in cache</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.Date</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#expirationDate">expirationDate</a></strong></code>
<div class="block">the expiration date of the data cached</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.Object</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#key">key</a></strong></code>
<div class="block">the key used to retrieve the data in cache (equality will be tested using the method equals())</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#AbstractCacheManager.Cacheable()">AbstractCacheManager.Cacheable</a></strong>()</code>
<div class="block">Constructor</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#AbstractCacheManager.Cacheable(java.lang.Object,%20java.lang.Object,%20int)">AbstractCacheManager.Cacheable</a></strong>(java.lang.Object&nbsp;data,
                              java.lang.Object&nbsp;key,
                              int&nbsp;expirationTime)</code>
<div class="block">Constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#getdata()">getdata</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#getexpirationDate()">getexpirationDate</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#getkey()">getkey</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#isExpired()">isExpired</a></strong>()</code>
<div class="block">Check if the cache object is due to expiration</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#setdata(java.lang.Object)">setdata</a></strong>(java.lang.Object&nbsp;data)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#setexpirationDate(java.util.Date)">setexpirationDate</a></strong>(java.util.Date&nbsp;expirationDate)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html#setkey(java.lang.Object)">setkey</a></strong>(java.lang.Object&nbsp;key)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>containsField, containsKey, get_id, get, getWrapper, getWrapperIfReflectionObject, isPartialObject, keySet, markAsPartialObject, put, putAll, putAll, removeField, set_id, toMap</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="expirationDate">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>expirationDate</h4>
<pre>private&nbsp;java.util.Date expirationDate</pre>
<div class="block">the expiration date of the data cached</div>
</li>
</ul>
<a name="key">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>key</h4>
<pre>private&nbsp;java.lang.Object key</pre>
<div class="block">the key used to retrieve the data in cache (equality will be tested using the method equals())</div>
</li>
</ul>
<a name="data">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>data</h4>
<pre>public&nbsp;java.lang.Object data</pre>
<div class="block">the data object to store in cache</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractCacheManager.Cacheable()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AbstractCacheManager.Cacheable</h4>
<pre>public&nbsp;AbstractCacheManager.Cacheable()</pre>
<div class="block">Constructor</div>
</li>
</ul>
<a name="AbstractCacheManager.Cacheable(java.lang.Object, java.lang.Object, int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractCacheManager.Cacheable</h4>
<pre>public&nbsp;AbstractCacheManager.Cacheable(java.lang.Object&nbsp;data,
                              java.lang.Object&nbsp;key,
                              int&nbsp;expirationTime)</pre>
<div class="block">Constructor</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>data</code> - the data to store in cache</dd><dd><code>key</code> - the key to identify the object in cache</dd><dd><code>expirationTime</code> - the expiration time expressed in minutes</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getexpirationDate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getexpirationDate</h4>
<pre>public&nbsp;java.util.Date&nbsp;getexpirationDate()</pre>
</li>
</ul>
<a name="setexpirationDate(java.util.Date)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setexpirationDate</h4>
<pre>public&nbsp;void&nbsp;setexpirationDate(java.util.Date&nbsp;expirationDate)</pre>
</li>
</ul>
<a name="getdata()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getdata</h4>
<pre>public&nbsp;java.lang.Object&nbsp;getdata()</pre>
</li>
</ul>
<a name="setdata(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setdata</h4>
<pre>public&nbsp;void&nbsp;setdata(java.lang.Object&nbsp;data)</pre>
</li>
</ul>
<a name="setkey(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setkey</h4>
<pre>public&nbsp;void&nbsp;setkey(java.lang.Object&nbsp;key)</pre>
</li>
</ul>
<a name="isExpired()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isExpired</h4>
<pre>public&nbsp;boolean&nbsp;isExpired()</pre>
<div class="block">Check if the cache object is due to expiration</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if expirationDate is exceeded</dd></dl>
</li>
</ul>
<a name="getkey()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getkey</h4>
<pre>public&nbsp;java.lang.Object&nbsp;getkey()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractCacheManager.Cacheable.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/utils/AbstractCacheManager.CompositeCacheable.html" title="class in fr.inria.alpage.frmgcm.utils"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/utils/AbstractCacheManager.Cacheable.html" target="_top">Frames</a></li>
<li><a href="AbstractCacheManager.Cacheable.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
